BREAK(1)

NAME
break - stop the current inner loop

SYNOPSIS
LOOP_CONSTRUCT
   [COMMANDS ...]
   break
   [COMMANDS ...]
end

DESCRIPTION

break halts a currently running loop (LOOP_CONSTRUCT), such as a for <> or while <> loop. It is usually added inside of a conditional block such as an if <> block.

There are no parameters for break.

EXAMPLE

The following code searches all .c files for "smurf", and halts at the first occurrence.

    for i in *.c
        if grep smurf $i
            echo Smurfs are present in $i
            break
        end
    end

SEE ALSO

•   the continue <> command, to skip the remainder of the current iteration of the current inner loop

Copyright
2023, fish-shell developers